package com.steering.mes.mcp.entity;

@SuppressWarnings("serial")
public class Tqnqd03Entity implements java.io.Serializable{
	/**
     * 记录创建责任者
     */
    private String recCreator = "";
    /**
     * 记录创建时刻
     */
    private String recCreateTime = "";
    /**
     * 记录修改责任者
     */
    private String recRevisor = "";
    /**
     * 记录修改时刻
     */
    private String recReviseTime = "";
    /**
     * 归档标记
     */
    private String archiveFlag = "";
    /**
     * 修改/删除标记
     */
    private String duFlag = "";
    /**
     * 修改/删除责任者
     */
    private String duMaker = "";
    /**
     * 修改/删除时间
     */
    private String duTime = "";
    /**
     * 版次
     */
    private String version = "";
    /**
     * 优先级
     */
    private String serialNum = "";
    /**
     * 策略是否实现
     */
    private String strategryIs = "";
    /**
     * 代码
     */
    private String rpCode = "";
    /**
     * 工艺路径_名称
     */
    private String wholeBacklogName = "";
    /**
     * 工序_名称
     */
    private String wholeBacklog = "";
    /**
     * 备用1
     */
    private String alloyBak1 = "";
    /**
     * 备用2
     */
    private String alloyBak2 = "";
    /**
     * 备用3
     */
    private String alloyBak3 = "";
    /**
     * 备用4
     */
    private String alloyBak4 = "";
    /**
     * 备用5
     */
    private String alloyBak5 = "";
    /**
     * 备用6
     */
    private String alloyBak6 = "";
    /**
     * 备用7
     */
    private String alloyBak7 = "";
    /**
     * 备用8
     */
    private String alloyBak8 = "";
    /**
     * 备用9
     */
    private String alloyBak9 = "";
    /**
     * 备用10
     */
    private String alloyBak10 = "";
    /**
     * 工艺路径步骤
     */
    private String ltemNum = "";
    /**
     * 工序_代码
     */
    private String wholeBacklogCode = "";
    /**
     * 牌号
     */
    private String outSgSign = "";
    /**
     * 标准
     */
    private String outSgStd = "";
    /**
     * 钢种类别
     */
    private String outSteelTypeCode = "";
    /**
     * 炼钢产线
     */
    private String outSmeltCode = "";
    /**
     * 精整工序
     */
    private String subBacklog = "";
    /**
     * 坯料来源
     */
    private String blankSource = "";
    /**
     * 组距
     */
    private String classInterval = "";
    /**
     * 产副品
     */
    private String productName = "";
    /**
     * 成本中心
     */
    private String costCenterAc = "";
    /**
     * 费用
     */
    private String unitPrice = "";
    /**
     * 编号
     */
    private String processCode = "";
    /**
     * 加工费用
     */
    private String processCost = "";
    /**
     * 成材率
     */
    private String chencailv = "";
    /**
     * 成材率代码
     */
    private String rpNum = "";
    /**
     * 烧磨损
     */
    private String burnWear = "";
    /**
     * 副产品编码
     */
    private String productCode = "";
    /**
     * 交货状态
     */
    private String hotTreatMethod = "";
    /**
     * 特殊费用
     */
    private String specialPrice = "";
    /**
     * 特殊费用说明
     */
    private String specialRemark = "";

    /**
     * 记录创建责任者
     * @return value
     */
    public String getRecCreator() {
        return recCreator;
    }

    /**
     * 记录创建责任者
     * @param recCreator value
     */
    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator;
    }

    /**
     * 记录创建时刻
     * @return value
     */
    public String getRecCreateTime() {
        return recCreateTime;
    }

    /**
     * 记录创建时刻
     * @param recCreateTime value
     */
    public void setRecCreateTime(String recCreateTime) {
        this.recCreateTime = recCreateTime;
    }

    /**
     * 记录修改责任者
     * @return value
     */
    public String getRecRevisor() {
        return recRevisor;
    }

    /**
     * 记录修改责任者
     * @param recRevisor value
     */
    public void setRecRevisor(String recRevisor) {
        this.recRevisor = recRevisor;
    }

    /**
     * 记录修改时刻
     * @return value
     */
    public String getRecReviseTime() {
        return recReviseTime;
    }

    /**
     * 记录修改时刻
     * @param recReviseTime value
     */
    public void setRecReviseTime(String recReviseTime) {
        this.recReviseTime = recReviseTime;
    }

    /**
     * 归档标记
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标记
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 修改/删除标记
     * @return value
     */
    public String getDuFlag() {
        return duFlag;
    }

    /**
     * 修改/删除标记
     * @param duFlag value
     */
    public void setDuFlag(String duFlag) {
        this.duFlag = duFlag;
    }

    /**
     * 修改/删除责任者
     * @return value
     */
    public String getDuMaker() {
        return duMaker;
    }

    /**
     * 修改/删除责任者
     * @param duMaker value
     */
    public void setDuMaker(String duMaker) {
        this.duMaker = duMaker;
    }

    /**
     * 修改/删除时间
     * @return value
     */
    public String getDuTime() {
        return duTime;
    }

    /**
     * 修改/删除时间
     * @param duTime value
     */
    public void setDuTime(String duTime) {
        this.duTime = duTime;
    }

    /**
     * 版次
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /**
     * 版次
     * @param version value
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 优先级
     * @return value
     */
    public String getSerialNum() {
        return serialNum;
    }

    /**
     * 优先级
     * @param serialNum value
     */
    public void setSerialNum(String serialNum) {
        this.serialNum = serialNum;
    }

    /**
     * 策略是否实现
     * @return value
     */
    public String getStrategryIs() {
        return strategryIs;
    }

    /**
     * 策略是否实现
     * @param strategryIs value
     */
    public void setStrategryIs(String strategryIs) {
        this.strategryIs = strategryIs;
    }

    /**
     * 代码
     * @return value
     */
    public String getRpCode() {
        return rpCode;
    }

    /**
     * 代码
     * @param rpCode value
     */
    public void setRpCode(String rpCode) {
        this.rpCode = rpCode;
    }

    /**
     * 工艺路径_名称
     * @return value
     */
    public String getWholeBacklogName() {
        return wholeBacklogName;
    }

    /**
     * 工艺路径_名称
     * @param wholeBacklogName value
     */
    public void setWholeBacklogName(String wholeBacklogName) {
        this.wholeBacklogName = wholeBacklogName;
    }

    /**
     * 工序_名称
     * @return value
     */
    public String getWholeBacklog() {
        return wholeBacklog;
    }

    /**
     * 工序_名称
     * @param wholeBacklog value
     */
    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    /**
     * 备用1
     * @return value
     */
    public String getAlloyBak1() {
        return alloyBak1;
    }

    /**
     * 备用1
     * @param alloyBak1 value
     */
    public void setAlloyBak1(String alloyBak1) {
        this.alloyBak1 = alloyBak1;
    }

    /**
     * 备用2
     * @return value
     */
    public String getAlloyBak2() {
        return alloyBak2;
    }

    /**
     * 备用2
     * @param alloyBak2 value
     */
    public void setAlloyBak2(String alloyBak2) {
        this.alloyBak2 = alloyBak2;
    }

    /**
     * 备用3
     * @return value
     */
    public String getAlloyBak3() {
        return alloyBak3;
    }

    /**
     * 备用3
     * @param alloyBak3 value
     */
    public void setAlloyBak3(String alloyBak3) {
        this.alloyBak3 = alloyBak3;
    }

    /**
     * 备用4
     * @return value
     */
    public String getAlloyBak4() {
        return alloyBak4;
    }

    /**
     * 备用4
     * @param alloyBak4 value
     */
    public void setAlloyBak4(String alloyBak4) {
        this.alloyBak4 = alloyBak4;
    }

    /**
     * 备用5
     * @return value
     */
    public String getAlloyBak5() {
        return alloyBak5;
    }

    /**
     * 备用5
     * @param alloyBak5 value
     */
    public void setAlloyBak5(String alloyBak5) {
        this.alloyBak5 = alloyBak5;
    }

    /**
     * 备用6
     * @return value
     */
    public String getAlloyBak6() {
        return alloyBak6;
    }

    /**
     * 备用6
     * @param alloyBak6 value
     */
    public void setAlloyBak6(String alloyBak6) {
        this.alloyBak6 = alloyBak6;
    }

    /**
     * 备用7
     * @return value
     */
    public String getAlloyBak7() {
        return alloyBak7;
    }

    /**
     * 备用7
     * @param alloyBak7 value
     */
    public void setAlloyBak7(String alloyBak7) {
        this.alloyBak7 = alloyBak7;
    }

    /**
     * 备用8
     * @return value
     */
    public String getAlloyBak8() {
        return alloyBak8;
    }

    /**
     * 备用8
     * @param alloyBak8 value
     */
    public void setAlloyBak8(String alloyBak8) {
        this.alloyBak8 = alloyBak8;
    }

    /**
     * 备用9
     * @return value
     */
    public String getAlloyBak9() {
        return alloyBak9;
    }

    /**
     * 备用9
     * @param alloyBak9 value
     */
    public void setAlloyBak9(String alloyBak9) {
        this.alloyBak9 = alloyBak9;
    }

    /**
     * 备用10
     * @return value
     */
    public String getAlloyBak10() {
        return alloyBak10;
    }

    /**
     * 备用10
     * @param alloyBak10 value
     */
    public void setAlloyBak10(String alloyBak10) {
        this.alloyBak10 = alloyBak10;
    }

    /**
     * 工艺路径步骤
     * @return value
     */
    public String getLtemNum() {
        return ltemNum;
    }

    /**
     * 工艺路径步骤
     * @param ltemNum value
     */
    public void setLtemNum(String ltemNum) {
        this.ltemNum = ltemNum;
    }

    /**
     * 工序_代码
     * @return value
     */
    public String getWholeBacklogCode() {
        return wholeBacklogCode;
    }

    /**
     * 工序_代码
     * @param wholeBacklogCode value
     */
    public void setWholeBacklogCode(String wholeBacklogCode) {
        this.wholeBacklogCode = wholeBacklogCode;
    }

    /**
     * 牌号
     * @return value
     */
    public String getOutSgSign() {
        return outSgSign;
    }

    /**
     * 牌号
     * @param outSgSign value
     */
    public void setOutSgSign(String outSgSign) {
        this.outSgSign = outSgSign;
    }

    /**
     * 标准
     * @return value
     */
    public String getOutSgStd() {
        return outSgStd;
    }

    /**
     * 标准
     * @param outSgStd value
     */
    public void setOutSgStd(String outSgStd) {
        this.outSgStd = outSgStd;
    }

    /**
     * 钢种类别
     * @return value
     */
    public String getOutSteelTypeCode() {
        return outSteelTypeCode;
    }

    /**
     * 钢种类别
     * @param outSteelTypeCode value
     */
    public void setOutSteelTypeCode(String outSteelTypeCode) {
        this.outSteelTypeCode = outSteelTypeCode;
    }

    /**
     * 炼钢产线
     * @return value
     */
    public String getOutSmeltCode() {
        return outSmeltCode;
    }

    /**
     * 炼钢产线
     * @param outSmeltCode value
     */
    public void setOutSmeltCode(String outSmeltCode) {
        this.outSmeltCode = outSmeltCode;
    }

    /**
     * 精整工序
     * @return value
     */
    public String getSubBacklog() {
        return subBacklog;
    }

    /**
     * 精整工序
     * @param subBacklog value
     */
    public void setSubBacklog(String subBacklog) {
        this.subBacklog = subBacklog;
    }

    /**
     * 坯料来源
     * @return value
     */
    public String getBlankSource() {
        return blankSource;
    }

    /**
     * 坯料来源
     * @param blankSource value
     */
    public void setBlankSource(String blankSource) {
        this.blankSource = blankSource;
    }

    /**
     * 组距
     * @return value
     */
    public String getClassInterval() {
        return classInterval;
    }

    /**
     * 组距
     * @param classInterval value
     */
    public void setClassInterval(String classInterval) {
        this.classInterval = classInterval;
    }

    /**
     * 产副品
     * @return value
     */
    public String getProductName() {
        return productName;
    }

    /**
     * 产副品
     * @param productName value
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * 成本中心
     * @return value
     */
    public String getCostCenterAc() {
        return costCenterAc;
    }

    /**
     * 成本中心
     * @param costCenterAc value
     */
    public void setCostCenterAc(String costCenterAc) {
        this.costCenterAc = costCenterAc;
    }

    /**
     * 费用
     * @return value
     */
    public String getUnitPrice() {
        return unitPrice;
    }

    /**
     * 费用
     * @param unitPrice value
     */
    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    /**
     * 编号
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 编号
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 加工费用
     * @return value
     */
    public String getProcessCost() {
        return processCost;
    }

    /**
     * 加工费用
     * @param processCost value
     */
    public void setProcessCost(String processCost) {
        this.processCost = processCost;
    }

    /**
     * 成材率
     * @return value
     */
    public String getChencailv() {
        return chencailv;
    }

    /**
     * 成材率
     * @param chencailv value
     */
    public void setChencailv(String chencailv) {
        this.chencailv = chencailv;
    }

    /**
     * 成材率代码
     * @return value
     */
    public String getRpNum() {
        return rpNum;
    }

    /**
     * 成材率代码
     * @param rpNum value
     */
    public void setRpNum(String rpNum) {
        this.rpNum = rpNum;
    }

    /**
     * 烧磨损
     * @return value
     */
    public String getBurnWear() {
        return burnWear;
    }

    /**
     * 烧磨损
     * @param burnWear value
     */
    public void setBurnWear(String burnWear) {
        this.burnWear = burnWear;
    }

    /**
     * 副产品编码
     * @return value
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * 副产品编码
     * @param productCode value
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    /**
     * 交货状态
     * @return value
     */
    public String getHotTreatMethod() {
        return hotTreatMethod;
    }

    /**
     * 交货状态
     * @param hotTreatMethod value
     */
    public void setHotTreatMethod(String hotTreatMethod) {
        this.hotTreatMethod = hotTreatMethod;
    }

    /**
     * 特殊费用
     * @return value
     */
    public String getSpecialPrice() {
        return specialPrice;
    }

    /**
     * 特殊费用
     * @param specialPrice value
     */
    public void setSpecialPrice(String specialPrice) {
        this.specialPrice = specialPrice;
    }

    /**
     * 特殊费用说明
     * @return value
     */
    public String getSpecialRemark() {
        return specialRemark;
    }

    /**
     * 特殊费用说明
     * @param specialRemark value
     */
    public void setSpecialRemark(String specialRemark) {
        this.specialRemark = specialRemark;
    }

}
